Authentication
Get Device Code Info
Returns where a device code was created, for the person about to approve it with approveDeviceAuth.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Query Parameters
userCode*string
The userCode of a device code.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/auth/device/info?userCode=string"{
"createdAt": 1792964421294,
"geolocation": {
"city": "Toronto",
"country": "CA",
"region": "Ontario",
"regionCode": "ON"
}
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "Device code not found or expired․",
"status_code": 404
}
}